﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Data;

using System.Web.Script.Services;
using System.Data.OleDb;

/// <summary>
/// Summary description for GetProductNames
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
// To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
[System.Web.Script.Services.ScriptService]
public class GetDetails : System.Web.Services.WebService
{

    public GetDetails()
    {
        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }

    [WebMethod]
    [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
    public object GetCityNames()
    {
        //retrieve the data
        DataTable ds = new DataTable();
        string queryProduct = "SELECT DISTINCT [Country], [City], [Region] FROM [Customers]";
        string strConn = System.Configuration.ConfigurationManager.ConnectionStrings["AccessDB"].ConnectionString;
        OleDbDataAdapter da = new OleDbDataAdapter(queryProduct, strConn);
        DataTable dtCity = new DataTable();
        da.Fill(dtCity);

        //create list of CityNames
        List<CityNames> nodes = new List<CityNames>();
        for (int i = 0; i < dtCity.Rows.Count; i++)
        {
            //set the values
            CityNames cn = new CityNames();
            cn.CityName = dtCity.Rows[i]["City"].ToString();
            cn.Country = dtCity.Rows[i]["Country"].ToString();
            cn.Region = dtCity.Rows[i]["Region"].ToString();
            nodes.Add(cn);
        }
        return nodes;
    }
}

public class CityNames
{
    public string CityName
    {
        get;
        set;
    }

    public string Country
    {
        get;
        set;
    }

    public string Region
    {
        get;
        set;
    }
}


